Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.replacestring
Class ReplaceStringData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.replacestring.ReplaceStringData

All Implemented Interfaces:
  StepDataInterface

    public class ReplaceStringData

extends BaseStepData
implements StepDataInterface

Since:
  28 September 2008
Author:
  Samatar Hassan

Field Summary
`int[]` | `caseSensitive`
`String` | `finalvalueChange`
`int` | `inputFieldsNr`
`int[]` | `inStreamNrs`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`String[]` | `outStreamNrs`
`Pattern[]` | `patterns`
`String` | `realChangeField`
`String[]` | `replaceByString`
`String[]` | `replaceString`
`int[]` | `useRegEx`
`String[]` | `valueChange`
`int[]` | `wholeWord`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`ReplaceStringData()` Default constructor.

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### inStreamNrs

    public int[] inStreamNrs

### outStreamNrs

    public String[] outStreamNrs

### useRegEx

    public int[] useRegEx

### replaceString

    public String[] replaceString

### replaceByString

    public String[] replaceByString

### wholeWord

    public int[] wholeWord

### caseSensitive

    public int[] caseSensitive

### realChangeField

    public String realChangeField

### valueChange

    public String[] valueChange

### finalvalueChange

    public String finalvalueChange

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### inputFieldsNr

    public int inputFieldsNr

### patterns

    public Pattern[] patterns

Constructor Detail

### ReplaceStringData

    public ReplaceStringData()

  Default constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD